Bug 1285510 - Updating software via gnome software reboot, fails because a CURL error in an additional repo
Updating software via gnome software reboot, fails because a CURL error in an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 14:34 EST by Jesús Abelardo Saldívar Aguilar
Modified: 2016-12-28 15:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-28 15:21:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oracle VirtualBox repo (242 bytes, text/plain)
2015-11-25 14:34 EST, Jesús Abelardo Saldívar Aguilar
no flags Details

  None (edit)
Description Jesús Abelardo Saldívar Aguilar 2015-11-25 14:34:44 EST
Created attachment 1098942 [details]
Oracle VirtualBox repo

Description of problem:

Updating software fails after restarting because a CURL error.

(sorry for the bad english)

When I press the "restart and update" button in Gnome Software, the system
restarts, then fails when it's begining to install the software updates, restarts again, and finally a Gnome Software window appears, showing a fail message:

Curl error (6): Couldn't resolve host name for https://www.virtualbox.org/download/oracle_vbox.asc [Could not resolve host: www.virtualbox.org]

I have the Oracle VirtualBox repo installed in /etc/yum.repos.d

Version-Release number of selected component (if applicable):

Gnome Software 3.18.3

How reproducible:

Maybe you need to have installed the Oracle Virtualbox Repo from http://download.virtualbox.org/virtualbox/rpm/fedora/virtualbox.repo

Steps to Reproduce:
1. Wait to have software updates to install on Gnome Software
2. Press "restart and install" button on the updates section of Gnome Software
3. Wait for the system to restart.

Actual results:

Updates not installed. Updating the system fails and Gnome Software appears with an error message.

Expected results:

The software packages should be updated.

Additional info:
Comment 1 Richard Hughes 2016-01-08 04:44:13 EST
I'm unable to test with Virtualbox, but are there any other things you can add to the bug? Does this still happen after applying the first update manually, for example?
Comment 2 Benjamin Xiao 2016-05-04 23:57:00 EDT
I am running into this issue too. Seems like just having the VirtualBox repository enabled causes the update to fail.
Comment 3 Iiro Laiho 2016-07-25 17:33:02 EDT
@Richard Hughes, How you exactly are "unable" to test this with Virtualbox? Could you create a repository of your own with a https gpgkey?
Comment 4 Fedora End Of Life 2016-11-24 08:44:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Andrea 2016-12-17 05:26:07 EST
Same issue here with Fedora 25.

Just I do not see the window with the message, but I can see it reported in the journalctl output.
Comment 6 Kalev Lember 2016-12-19 15:30:45 EST
https://github.com/rpm-software-management/libdnf/pull/235 should fix this
Comment 7 Fedora End Of Life 2016-12-20 11:17:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Fedora Update System 2016-12-21 11:33:38 EST
PackageKit-1.1.5-0.1.20161221.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3189d3a4df
Comment 9 Fedora Update System 2016-12-22 14:20:20 EST
PackageKit-1.1.5-0.1.20161221.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3189d3a4df
Comment 10 Fedora Update System 2016-12-28 15:21:14 EST
PackageKit-1.1.5-0.1.20161221.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.